package jcg.zheng.demo.bst;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Before;

public class TestBase {

    protected static final int MIN = 2;
    protected static final int MAX = 10;

    protected BinarySearchTree bst;
    protected TraverseBSTService tService = new TraverseBSTService();
    protected BSTCRDService crdService = new BSTCRDService();

    @Before
    public void setup() {
        bst = new BinarySearchTree();
        assertTrue(bst.isEmpty());
        bst.add(6);
        assertFalse(bst.isEmpty());
        bst.add(4);
        bst.add(8);
        bst.add(3);
        bst.add(5);
        bst.add(7);
        bst.add(9);
        bst.add(MIN);
        bst.add(MAX);

        System.out.println("\nOriginal Tree:");
        tService.preOrder(bst.getRoot());
    }

}