package jcg.zheng.demo.bst;

import org.junit.Test;

public class TraverseBSTServiceTest extends TestBase {

    @Test
    public void inOrder_left_root_right() {
        System.out.println("\nShould print as 2 3 4 5 6 7 8 9 10 - ordered");
        tService.inOrder(bst.getRoot());
    }

    @Test
    public void preOrder_root_left_right() {
        System.out.println("\nShould print as 6 4 3 2 5 8 7 9 10 - same as the insert");
        tService.preOrder(bst.getRoot());
    }

    @Test
    public void postOrder_left_right_root() {
        System.out.println("\nShould print as 4 3 2 5 8 7 9 10 6");
        tService.postOrder(bst.getRoot());
    }

    @Test
    public void levelOrder() {
        System.out.println("\nShould print as 6 4 8 3 5 7 9 2 10");
        tService.levelOrder(bst.getRoot());
    }

}
