package jcg.zheng.demo.bst;

/**
 * A Binary search tree is a specific binary tree in which the left side node's value is smaller
 * than the root's value and the right side node's value is greater than the root's value
 *
 */
public class BinarySearchTree {

    private BSTCRDService crdService = new BSTCRDService();

    private BinaryTreeNode root;

    public void add(int value) {
        root = crdService.add(root, value);
    }

    public void delete(int deletingValue) {
        root = crdService.delete(root, deletingValue);
    }

    public int min() {
        return crdService.findMinValue(root);
    }

    public int max() {
        return crdService.findMaxValue(root);
    }

    public boolean isEmpty() {
        return root == null;
    }

    public BinaryTreeNode getRoot() {
        return root;
    }

    public void setRoot(BinaryTreeNode root) {
        this.root = root;
    }

}
