package jcg.zheng.demo.bst;

/**
 * A binary tree is a data structure which each node can have at most 2 children.
 *
 */
public class BinaryTreeNode {

    private int keyValue;
    private BinaryTreeNode left;
    private BinaryTreeNode right;

    public BinaryTreeNode(int value) {
        super();
        this.keyValue = value;
        this.left = null;
        this.right = null;
    }

    public int getKeyValue() {
        return keyValue;
    }

    public BinaryTreeNode getLeft() {
        return left;
    }

    public BinaryTreeNode getRight() {
        return right;
    }

    public void setKeyValue(int value) {
        this.keyValue = value;
    }

    public void setLeft(BinaryTreeNode left) {
        this.left = left;
    }

    public void setRight(BinaryTreeNode right) {
        this.right = right;
    }

}
